
#include "Minigui.ch"
#include "adordd.ch"

static cHost  := "r"  
static cUser  := "scott" 
static cPass  := "tiger"  
static cProv  := "MSDAORA.1" 

//--------------------------------------------------------------------//
FUNCTION Main()

     PRIVATE aItemDept :={}
     Public oOra, oRs 
	 
     SET EXCLUSIVE OFF
     SET DELETE ON
     SET DATE GERMAN
     SET CENTURY ON
     SET EXACT ON
     SET NAVIGATION EXTENDED
     SET EPOCH TO YEAR(DATE()) - 50

     SET INTERACTIVECLOSE ON

     DEFINE WINDOW wifmain AT 10, 10 ;
            WIDTH 800 HEIGHT 600 ;
            TITLE  "Table DEPT" ;
            MAIN 
            
        ON KEY ALT+F4 ACTION wifmain.release
        
      @ 50, 20 GRID Grid_1;
         WIDTH 500 HEIGHT 400 ;
         WIDTHS {60,200,200};
         HEADERS {'Dept','Dname','Loc'}
		 	
	END WINDOW	

    *Oracle_Connect()
	LoadData()
		
	ACTIVATE WINDOW wifmain		

RETURN			
			
FUNCTION Oracle_Connect()

     oOra := TOLEAuto():New('ADODB.Connection')
     oOra:ConnectionString="Provider=" + cProv + "; " + "Data Source=" + cHost + "; " + "User ID=" + cUser + "; " + "Password=" + cPass + ";" 
     oOra:Open()

RETURN NIL

FUNCTION LoadData()

   LOCAL oRs

   altd()
   
   IF ( oRs := TOleAuto():New("adodb.recordset") ) != NIL

      oRs:Open( "SELECT * FROM dept ", "Provider=MSDAORA.1; Data Source=r; User ID=scott; Password=tiger" )

      DO WHILE ! oRs:EOF
		 
		 cFila0  := STR(oRs:Fields(0):value,3,0)
         cFila1  := ALLTRIM(oRs:Fields(1):value) 
         cFila2  := ALLTRIM(oRs:Fields(2):value) 
         
         wifmain.grid_1.additem( {cFila0,cFila1,cFila2} )
		 
         oRs:MoveNext()
      ENDDO

      oRs:Close()
   ENDIF  
   
RETURN

