
#include "Minigui.ch"
#include "adordd.ch"

static cHost  := "r"  
static cUser  := "scott" 
static cPass  := "tiger"  
static cProv  := "MSDAORA.1" 

//--------------------------------------------------------------------//
FUNCTION Main()

     PRIVATE aItemDept :={}
     Public oOra, oRs 
	 
     SET EXCLUSIVE OFF
     SET DELETE ON
     SET DATE GERMAN
     SET CENTURY ON
     SET EXACT ON
     SET NAVIGATION EXTENDED
     SET EPOCH TO YEAR(DATE()) - 50

     SET INTERACTIVECLOSE ON

     DEFINE WINDOW wifmain AT 10, 10 ;
            WIDTH 800 HEIGHT 600 ;
            TITLE  "Table EMP" ;
            MAIN 
            
        ON KEY ALT+F4 ACTION wifmain.release
        
      @ 50, 20 GRID Grid_1;
         WIDTH 700 HEIGHT 400 ;
         WIDTHS {50,150,150,60,80,60,60,50};
         HEADERS {'Empno','Ename','Job','Mgr','Hiredate','Sal','Comm','Deptno'}
		 	
	END WINDOW	

    *Oracle_Connect()
	LoadData()
		
	ACTIVATE WINDOW wifmain		

RETURN			
			
FUNCTION Oracle_Connect()

     oOra := TOLEAuto():New('ADODB.Connection')
     oOra:ConnectionString="Provider=" + cProv + "; " + "Data Source=" + cHost + "; " + "User ID=" + cUser + "; " + "Password=" + cPass + ";" 
     oOra:Open()

RETURN NIL

FUNCTION LoadData()

   LOCAL oRs

   altd()
   
   IF ( oRs := TOleAuto():New("adodb.recordset") ) != NIL

      oRs:Open( "SELECT empno,ename,job,nvl(mgr,0),hiredate,sal,nvl(comm,0),deptno FROM emp ORDER BY deptno ", ;
	            "Provider=MSDAORA.1; Data Source=r; User ID=scott; Password=tiger" )

      DO WHILE ! oRs:EOF
	  
		 cFila0  := STR(oRs:Fields(0):value,5,0)
         cFila1  := ALLTRIM(oRs:Fields(1):value) 
         cFila2  := ALLTRIM(oRs:Fields(2):value) 
         cFila3  := STR(oRs:Fields(3):value,5,0)
		 cFila4  := DTOC(oRs:Fields(4):value)
		 cFila5  := STR(oRs:Fields(5):value,10,2)
		 cFila6  := STR(oRs:Fields(6):value,10,2)
		 cFila7  := STR(oRs:Fields(7):value,3,0)
		 		 
         wifmain.grid_1.additem( {cFila0,cFila1,cFila2,cFila3,cFila4,cFila5,cFila6,cFila7} )
        		 
         oRs:MoveNext()
      ENDDO

      oRs:Close()
   ENDIF  
   
RETURN

